using MECF.Framework.Common.Aitex.Core.Common.DeviceData;
using OpenSEMI.ClientBase;
using System.Collections.Generic;

namespace MECF.Framework.UI.Client.CenterViews.DataLogs.ProcessHistory
{
    public class ProcessHistoryInfMessageBoxViewModel : DialogViewModel<string>
    {
        public List<RecipeProcessHistoryData> RecipeProcessHistoryDataList { get; set; }

        public RecipeProcessHistoryData RecipeProcessHistoryData { get; set; }

        public List<string> StepModelList { get; set; } = new List<string>() { "All", "*" };

        public string StepModel { get; set; } = "All";

        public ProcessHistoryInfMessageBoxViewModel(string startDateTime,string endDateTime,string pm) 
        {
            RecipeProcessHistoryDataList = ProcessHistorySqlHelp.QueryRecipeProcessHistoryData(startDateTime, endDateTime,pm);
            Refresh();
        }

        public void DoubleClickItem()
        {
            IsCancel = false;
            TryClose(true);
        }

        public void OK()
        {
            IsCancel = false;
            TryClose(true);
        }

        public void Cancel()
        {
            IsCancel = true;
            TryClose(false);
        }
    }
}
